Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData Class Reference

## Public Member Functions
| Office2PDFSettingData ()
| Constructor.
| Office2PDFSettingData (String resource_folder_path, boolean is_embed_font, Word2PDFConfig word_setting_data, Excel2PDFConfig excel_setting_data)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
Excel2PDFConfig | getExcel_setting_data ()
| Get a setting data object that used for converting Excel format documents to PDF format documents. More...
boolean | getIs_embed_font ()
| Get a boolean value which indicates whether to embed font in the converted file,Default value: false. More...
String | getResource_folder_path ()
| Get a valid path of a folder which contains resource data files. More...
Word2PDFConfig | getWord_setting_data ()
| Get a setting data object that used for converting Word format documents to PDF format documents. More...
void | set (String resource_folder_path, boolean is_embed_font, Word2PDFConfig word_setting_data, Excel2PDFConfig excel_setting_data)
| Set value. More...
void | setExcel_setting_data (Excel2PDFConfig value)
| Set a setting data object that used for converting Excel format documents to PDF format documents. More...
void | setIs_embed_font (boolean value)
| Set a boolean value which indicates whether to embed font in the converted file,Default value: false. More...
void | setResource_folder_path (String value)
| Set a valid path of a folder which contains resource data files. More...
void | setWord_setting_data (Word2PDFConfig value)
| Set a setting data object that used for converting Word format documents to PDF format documents. More...

## Detailed Description

This class represents setting data used for converting Office(Word, Excel or PowerPoint) to PDF format file.

## Constructor & Destructor Documentation

## ◆ Office2PDFSettingData()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.Office2PDFSettingData | ( | String | resource_folder_path,
|  | boolean | is_embed_font,
|  | Word2PDFConfig | word_setting_data,
|  | Excel2PDFConfig | excel_setting_data
| ) |  |

Constructor, with parameters.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getExcel_setting_data()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.getExcel_setting_data | ( |  | ) |

Get a setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFConfig .

Returns
  A setting data object that used for converting Excel format documents to PDF format documents.

## ◆ getIs_embed_font()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.getIs_embed_font | ( |  | ) |

Get a boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

Returns
  A boolean value which indicates whether to embed font in the converted file,Default value: false.

## ◆ getResource_folder_path()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.getResource_folder_path | ( |  | ) |

Get a valid path of a folder which contains resource data files.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

Returns
  A valid path of a folder which contains resource data files. This should not be an empty string.

## ◆ getWord_setting_data()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.getWord_setting_data | ( |  | ) |

Get a setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFConfig .

Returns
  A setting data object that used for converting Word format documents to PDF format documents.

## ◆ set()

void com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.set | ( | String | resource_folder_path,
|  | boolean | is_embed_font,
|  | Word2PDFConfig | word_setting_data,
|  | Excel2PDFConfig | excel_setting_data
| ) |  |

Set value.

Parameters

  [in] | resource_folder_path | A valid path of a folder which contains resource data files. This should not be an empty string. These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.
  [in] | is_embed_font | true means to embed font in the converted file, while false means not.
  [in] | word_setting_data | A setting data object that used for converting Word format documents to PDF format documents.
  [in] | excel_setting_data | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## ◆ setExcel_setting_data()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.setExcel_setting_data | ( | Excel2PDFConfig | value | ) |

Set a setting data object that used for converting Excel format documents to PDF format documents.

This setting is only vaild for the conversion of Excel documents to PDF format documents. For more details, please refer to class Excel2PDFConfig .

Parameters

  [in] | value | A setting data object that used for converting Excel format documents to PDF format documents.

Returns
  None.

## ◆ setIs_embed_font()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.setIs_embed_font | ( | boolean | value | ) |

Set a boolean value which indicates whether to embed font in the converted file,Default value: false.

true means to embed font in the converted file, while false means not.

Parameters

  [in] | value | A boolean value which indicates whether to embed font in the converted file,Default value: false.

Returns
  None.

## ◆ setResource_folder_path()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.setResource_folder_path | ( | String | value | ) |

Set a valid path of a folder which contains resource data files.

These resource data files are used to simulate the pdf format document typesetting process during conversion. They are offered in the "res/office2pdf" folder of the Foxit PDF Conversion SDK package.

Parameters

  [in] | value | A valid path of a folder which contains resource data files. This should not be an empty string.

Returns
  None.

## ◆ setWord_setting_data()

com.foxit.sdk.addon.conversion.office2pdf.Office2PDFSettingData.setWord_setting_data | ( | Word2PDFConfig | value | ) |

Set a setting data object that used for converting Word format documents to PDF format documents.

This setting is only vaild for the conversion of Word documents to PDF format documents. For more details, please refer to class Word2PDFConfig .

Parameters

  [in] | value | A setting data object that used for converting Word format documents to PDF format documents.

Returns
  None.